package de.fitko.fitconnect.fitconnect.client;

import com.google.inject.Guice;
import com.google.inject.Injector;
import de.fitko.fitconnect.dependency.dependency.SdkModule;
import de.fitko.fitconnect.api.services.Sender;
import de.fitko.fitconnect.api.services.Subscriber;

public class ClientFactory {

    private static final Injector injector = Guice.createInjector(new SdkModule());

    public static SenderClient senderClient(){
        return  new SenderClient(injector.getInstance(Sender.class));
    }

    public static SubscriberClient subscriberClient(){
        return new SubscriberClient(injector.getInstance(Subscriber.class));
    }
}
